Firefly开源社区

[Linux] Ubuntu固件不支持QT?

31

积分

0

威望

0

贡献

技术小白

积分
31
QQ
发表于 2022-6-8 10:48:16     
  • 固件类型: 官方提供的固件
  • 固件文件名称: AIO-3399J_Ubuntu18.04-r21156_v2.5.1b_220528
  • 固件下载地址: 百度盘
  • Log日志: 1.rar
问题描述及复现步骤:
Ubuntu固件不支持QT?
将编译好的QT app放到开发板上,运行提示缺少各种库

如何使得固件支持QT运行?

1.rar

208 Bytes, 下载次数: 0, 下载积分: 灯泡 -1 , 经验 -1

回复

使用道具 举报

1193

积分

0

威望

0

贡献

中级创客

Rank: 4

积分
1193
发表于 2022-6-8 10:49:45     
回复

使用道具 举报

31

积分

0

威望

0

贡献

技术小白

积分
31
QQ
发表于 2022-6-8 11:45:19     
你并没有看懂我的问题。你给的文档是关于主机端配置的描述。
主机端Ubuntu+QT编译环境并么没有问题。我问的是原配固件不支持QT,该怎么办?
回复

使用道具 举报

46

积分

0

威望

0

贡献

技术小白

积分
46
发表于 2022-6-9 09:04:27     
默认开发板的QT是没有配置好编译环境的,需要自己单独下载各种库文件,缺啥补啥。我的也是在主机编译成功,但是到开发板上会出现各种错误,这就需要手动下载缺少的库文件以及配置编译环境。
回复

使用道具 举报

1193

积分

0

威望

0

贡献

中级创客

Rank: 4

积分
1193
发表于 2022-6-9 09:24:06     
JamesHo 发表于 2022-6-8 11:45
你并没有看懂我的问题。你给的文档是关于主机端配置的描述。
主机端Ubuntu+QT编译环境并么没有问题。我问 ...

请仔细看,我发的文档是包含主机和目标端的,你下载一下环境包就知道了
回复

使用道具 举报

1193

积分

0

威望

0

贡献

中级创客

Rank: 4

积分
1193
发表于 2022-6-9 09:25:53     
firefly3588 发表于 2022-6-9 09:04
默认开发板的QT是没有配置好编译环境的,需要自己单独下载各种库文件,缺啥补啥。我的也是在主机编译成功, ...

356X/3399/3328/PX30 都支持维基里现成的环境包,不用自己配置
3588刚出还没这么快支持,所以需要自己配置
回复

使用道具 举报

31

积分

0

威望

0

贡献

技术小白

积分
31
QQ
发表于 2022-6-9 09:50:16     
Liuth 发表于 2022-6-9 09:25
356X/3399/3328/PX30 都支持维基里现成的环境包,不用自己配置
3588刚出还没这么快支持,所以需要自己配 ...

这个维基里现成的环境包,在哪里?
回复

使用道具 举报

1193

积分

0

威望

0

贡献

中级创客

Rank: 4

积分
1193
发表于 2022-6-9 09:55:23     
JamesHo 发表于 2022-6-9 09:50
这个维基里现成的环境包,在哪里?

看5楼
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

Copyright © 2014-2022 中山市天启智能科技有限公司 粤ICP备14022046号
快速回复 返回顶部 返回列表